const { a, em, strong } = require('../../../server/node_modules/hyperaxe');
module.exports = {
  es: {
    languageName: "Español",
  extended: "Multiverso",
  extendedDescription: [
    "Cuando apoyas a alguien, puedes descargar las publicaciones de los habitantes que apoyan, y esas publicaciones aparecerán aquí, ordenadas por reciente.",
  ],
  popular: "Destacados",
  popularDescription: [
    "Publicaciones de habitantes en tu red, ",
     strong("ordenadas por apoyos"),
    ". Selecciona el período de tiempo para obtener una lista.",
  ],
    day: "Día",
    week: "Semana",
    month: "Mes",
    year: "Año",
    latest: "Últimos",
    latestDescription: [
    strong("Publicaciones"),
    " tuyas y de lass habitantes que apoyas, ordenadas por la más reciente.",
    ],
    topics: "Temas",
    topicsDescription: [
    strong("Temas"),
    " tuyos y de las habitantes que apoyas, ordenados por los más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    summaries: "Resúmenes",
    summariesDescription: [
    strong("Temas y algunos comentarios"),
    " tuyos y de las habitantes que apoyas, ordenados por los más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    threads: "Hilos",
    threadsDescription: [
    strong("Publicaciones que tienen comentarios"),
    " de las habitantes que apoyas y tu multiverso, ordenadas por las más recientes. Selecciona la marca de tiempo de cualquier publicación para ver el resto del hilo.",
    ],
    profile: "Avatar",
    inhabitants: "Habitantes",
    manualMode: "Modo Manual",
    mentions: "Menciones",
    mentionsDescription: [
    strong("Publicaciones que te @mencionan"),
    ", ordenadas por las más recientes.",
    ],
    private: "Buzón",
    peers: "Nodos",
    privateDescription: [
    "El último comentario de ",
    strong("hilos privados que te incluyen"),
    ", ordenados por los más recientes. Las publicaciones privadas están cifradas para tu clave pública, y tienen un máximo de 7 destinatarios. Los destinatarios no pueden ser añadidos después de que el hilo haya comenzado. Selecciona la marca de tiempo para ver el hilo completo.",
    ],
    search: "Buscar",
    imageSearch: "Búsqueda de imágenes",
    searchPlaceholder: "Busca habitantes, #hashtags and palabras clave...",
    settings: "Configuración",
    continueReading: "seguir leyendo",
    moreComments: "comentarios má",
    readThread: "leer el resto del hilo",
    // modules
    modules: "Módulos",
    modulesViewTitle: "Módulos",
    modulesViewDescription: "Configura tu entorno habilitando o deshabilitando módulos.",
    inbox: "Buzón",
    multiverse: "Multiverso",
    popularLabel: "⌘ Destacados",
    topicsLabel: "ϟ Temas",
    latestLabel: "☄ Últimos",
    summariesLabel: "※ Resúmenes",
    threadsLabel: "♺ Hilos",
    multiverseLabel: "∞ Multiverso",
    inboxLabel: "☂ Buzón",
    invitesLabel: "ꔹ Invitaciones",
    walletLabel: "❄ Billetera",
    legacyLabel: "ꖤ Llaves",
    cipherLabel: "ꗄ Cripta",
    saveSettings: "Guardar configuración",
    // post actions
    comment: "Comentar",
    subtopic: "Subtema",
    json: "JSON",
    // relationships
    unfollow: "Dejar de apoyar",
    follow: "Apoyar",
    block: "Bloquear",
    unblock: "Desbloquear",
    newerPosts: "Publicaciones más recientes",
    olderPosts: "Publicaciones más antiguas",
    feedRangeEmpty: "El rango dado está vacío para este feed. Intenta ver el ",
    seeFullFeed: "feed completo",
    feedEmpty: "El cliente local de Oasis no ha accedido a publicaciones aún.",
    beginningOfFeed: "Este es el comienzo del feed",
    noNewerPosts: "No se han recibido publicaciones más recientes.",
    relationshipNotFollowing: "No te da apoyo",
    relationshipTheyFollow: "Ellos apoyan",
    relationshipMutuals: "Apoyo mutuo",
    relationshipFollowing: "Das apoyo",
    relationshipYou: "Tú",
    relationshipBlocking: "Estás bloqueando",
    relationshipNone: "No estás apoyando",
    relationshipConflict: "En conflicto",
    relationshipBlockingPost: "Publicación bloqueada",
    // spreads view
    viewLikes: "Ver Apoyos",
    spreadedDescription: "Lista de publicaciones apoyadas por la habitante.",
    likedBy: " -> Apoyos",
    // composer
    attachFiles: "Adjuntar archivos",
    mentionsMatching: "Menciones coincidentes",
    preview: "Vista previa",
    publish: "Escribir",
    contentWarningPlaceholder: "Agrega un tema a la publicación (opcional)",
    privateWarningPlaceholder: "Agrega habitantes para enviar una publicación privada (ej: @bob @alice) (opcional)",
    publishWarningPlaceholder: "...",
    publishCustomDescription: [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    commentWarning: [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    commentPublic: "público",
    commentPrivate: "privado",
    commentLabel: ({ publicOrPrivate, markdownUrl }) => [
    ],
    publishLabel: ({ markdownUrl, linkTarget }) => [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    replyLabel: ({ markdownUrl }) => [
    "RECUERDA: Debido a la tecnología blockchain, una vez que se publica no se puede editar ni eliminar.",
    ],
    publishCustomInfo: ({ href }) => [
    "Si tienes experiencia, también puedes ",
    a({ href }, "escribir una publicación avanzada"),
    ".",
    ],
    publishBasicInfo: ({ href }) => [
      "Si no tienes experiencia, deberías ",
      a({ href }, "escribir una publicación"),
      ".",
    ],
    publishCustom: "Escribir publicación avanzada",
    subtopicLabel: ({ markdownUrl }) => [
      "Crear un ",
      strong("subtema público"),
      " de esta publicación con ",
      a({ href: markdownUrl }, "Markdown"),
      ". Las publicaciones no pueden ser editadas ni eliminadas. Para responder a un hilo completo, selecciona ",
      strong("comentar"),
    " en su lugar. La vista previa muestra los medios adjuntos.",
    ],
    // settings
    updateit: "Obtener actualizaciones",
    info: "Información",
    settingsIntro: ({ version }) => [
      `Oasis: [${version}]`,
    ],
    timeAgo: "",
    sendTime: "aproximadamente hace ",
    theme: "Tema",
    legacy: "Llaves",
    legacyTitle: "Llaves",
    legacyDescription: "Gestiona tus llaves (clave privada) de forma rápida y segura.",
    legacyExportButton: "Exportar",
    legacyImportButton: "Importar",
    exportTitle: "Exportar datos",
    exportDescription: "Establece una contraseña (mínimo 32 caracteres) para cifrar tu clave",
    importTitle: "Importar datos",
    importDescription: "Importa tu secreto cifrado (clave privada) para habilitar tu avatar",
    importAttach: "Adjuntar archivo cifrado (.enc)",
    passwordLengthInfo: "La contraseña debe tener al menos 32 caracteres.",
    passwordImport: "Escribe tu contraseña para descifrar los datos que se guardarán en el directorio de tu sistema (nombre: secreto)",
    exportPasswordPlaceholder: "Usa minúsculas, mayúsculas, números y símbolos",
    fileInfo: "Tu clave secreta cifrada se guardará en el directorio de tu sistema (nombre: oasis.enc)",
    themeIntro: "Elige un tema.",
    setTheme: "Establecer tema",
    language: "Idioma",
    languageDescription: "Si deseas usar otro idioma, selecciona aquí.",
    setLanguage: "Establecer idioma",
    status: "Estado",
    peerConnections: "Nodos",
    peerConnectionsIntro: "Maneja todas tus conexiones que otros nodos.",
    online: "En línea",
    supported: "Apoyado",
    recommended: "Recomendado",
    blocked: "Bloqueado",
    noConnections: "No hay habitantes conectados.",
    noSupportedConnections: "No hay habitantes apoyados.",
    noBlockedConnections: "No hay habitantes bloqueados.",
    noRecommendedConnections: "No hay habitantes recomendados.",
    connectionActionIntro: "",
    startNetworking: "Comenzar a conectar",
    stopNetworking: "Dejar de conectar",
    restartNetworking: "Reiniciar la conexión",
    sync: "Sincronizar red",
    indexes: "Índices",
    indexesDescription: "Reconstruir tus índices es seguro y puede solucionar algunos tipos de errores.",
    invites: "Invitaciones",
    invitesDescription: "Usa los códigos de invitación del PUB aquí.",
    acceptInvite: "Aceptar invitación",
    acceptedInvites: "Redes federadas",
    noInvites: "No se han aceptado invitaciones",
    // search page
    searchLabel: "Buscar habitantes y palabras clave entre las publicaciones que has descargado.",
    // image search page
    imageSearchLabel: "Introduce palabras para buscar imágenes etiquetadas con ellas.",
    // posts and comments
    commentDescription: ({ parentUrl }) => [
    " comentó en ",
    a({ href: parentUrl }, " el hilo"),
    ],
    commentTitle: ({ authorName }) => [`Comentario en la publicación de @${authorName}`],
    subtopicDescription: ({ parentUrl }) => [
    " creó un subtema de ",
    a({ href: parentUrl }, " una publicación"),
    ],
    subtopicTitle: ({ authorName }) => [`Subtema en la publicación de @${authorName}`],
    mysteryDescription: "envió una publicación misteriosa",
    // misc
    oasisDescription: "Red del Proyecto SNH",
    submit: "Enviar",
    subjectLabel: "Asunto",
    editProfile: "Editar Avatar",
    editProfileDescription: "",
    profileName: "Nombre del avatar (texto plano)",
    profileImage: "Imagen del avatar",
    profileDescription: "Descripción del avatar (Markdown)",
    hashtagDescription: "Publicaciones de habitantes en tu red que mencionan este #hashtag, ordenadas por las más recientes.",
    rebuildName: "Reconstruir base de datos",
    wallet: "Billetera",
    walletAddress: "Dirección",
    walletAmount: "Cantidad",
    walletAddressLine: ({ address }) => `Dirección: ${address}`,
    walletAmountLine: ({ amount }) => `Cantidad: ${amount} ECO`,
    walletBack: "Volver",
    walletBalanceTitle: "Balance",
    walletReceiveTitle: "Recibir",
    walletHistoryTitle: "Historial",
    walletWalletSendTitle: "Enviar",
    walletBalanceLine: ({ balance }) => `${balance} ECO`,
    walletCnfrs: "Cnfrs",
    walletConfirm: "Confirmar",
    walletDescription: "Gestiona tus activos digitales, incluyendo el envío y recepción de ECOin, ver tu saldo e historial de transacciones.",
    walletDate: "Fecha",
    walletFee: "Comisión (Cuanto mayor es la comisión, más rápido se procesará tu transacción)",
    walletFeeLine: ({ fee }) => `Comisión: ECO ${fee}`,
    walletHistory: "Historial",
    walletReceive: "Recibir",
    walletReset: "Restablecer",
    walletSend: "Enviar",
    walletStatus: "Estado",
    walletDisconnected: "Billetera ECOin desconectada. Verifica la configuración de tu billetera o el estado de la conexión.",
    walletSentToLine: ({ destination, amount }) => `Enviado ECO ${amount} a ${destination}`,
    walletSettingsTitle: "Billetera",
    walletSettingsDescription: "Integra Oasis con tu billetera ECOin.",
    walletStatusMessages: {
    invalid_amount: "Cantidad inválida",
    invalid_dest: "Dirección de destino inválida",
    invalid_fee: "Comisión inválida",
    validation_errors: "Errores de validación",
    send_tx_success: "Transacción exitosa",
    },
    walletTitle: "Billetera",
    walletTotalCostLine: ({ totalCost }) => `Costo total: ECO ${totalCost}`,
    walletTransactionId: "ID de transacción",
    walletTxId: "ID Tx",
    walletType: "Tipo",
    walletUser: "Nombre de usuario",
    walletPass: "Contraseña",
    walletConfiguration: "Configurar billetera",
    //cipher
    cipher: "Cripta",
    randomPassword: "Contraseña aleatoria",
    password: "Contraseña",
    text: "Texto",
    encryptedText: "Texto cifrado",
    iv: "Vector de Inicialización (IV)",
    encryptTitle: "Cifra tu texto",
    encryptDescription: "Introduce el texto que deseas cifrar y proporciona una contraseña.",
    encryptButton: "Cifrar",
    decryptTitle: "Descifra tu texto",
    decryptDescription: "Introduce el texto cifrado y proporciona la misma contraseña utilizada para cifrar.",
    decryptButton: "Descifrar",
    passwordLengthError: "La contraseña debe tener al menos 32 caracteres.",
    missingFieldsError: "Texto, contraseña o IV no proporcionados.",
    encryptionError: "Error cifrando el texto.",
    decryptionError: "Error descifrando el texto.",
    //cipher
    cipherTitle: "Cifrado",
    cipherDescription: "Cifra y descifra contenido simétricamente (usando una contraseña compartida).",
    randomPassword: "Contraseña Aleatoria",
    cipherEncryptTitle: "Encriptar Texto",
    cipherEncryptDescription: "Establece una contraseña (mínimo 32 caracteres) para cifrar tu texto",
    cipherTextLabel: "Texto a Encriptar",
    cipherTextPlaceholder: "Introduce el texto para encriptar...",
    cipherPasswordLabel: "Contraseña",
    cipherPasswordPlaceholder: "Introduce una contraseña...",
    cipherEncryptButton: "Encriptar",
    cipherDecryptTitle: "Desencriptar Texto",
    cipherDecryptDescription: "Introduce el texto encriptado, la contraseña y el IV para desencriptar.",
    cipherEncryptedTextLabel: "Texto Encriptado",
    cipherEncryptedTextPlaceholder: "Introduce el texto encriptado...",
    cipherIvLabel: "IV",
    cipherIvPlaceholder: "Introduce el vector de inicialización...",
    cipherDecryptButton: "Desencriptar"
    }
};
