const { a, em, strong } = require('../../../server/node_modules/hyperaxe');
module.exports = {
  fr: {
    languageName: "Français",
  extended: "Multivers",
  extendedDescription: [
    "Lorsque vous soutenez quelqu'un, vous pouvez télécharger les publications des habitants qu'ils soutiennent, et ces publications apparaissent ici, triées par récence.",
  ],
  popular: "Points forts",
  popularDescription: [
    "Publications des habitants de votre réseau, ",
    strong("triées par spreads"),
    ". Sélectionnez la période de temps pour obtenir une liste.",
  ],
    day: "Jour",
    week: "Semaine",
    month: "Mois",
    year: "Année",
    latest: "Derniers",
    latestDescription: [
    strong("Publications"),
    " de vous et des habitants que vous soutenez, triées par les plus récentes.",
    ],
    topics: "Sujets",
    topicsDescription: [
    strong("Sujets"),
    " de vous et des habitants que vous soutenez, triés par les plus récents. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    summaries: "Résumés",
    summariesDescription: [
    strong("Sujets et quelques commentaires"),
    " de vous et des habitants que vous soutenez, triés par les plus récents. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    threads: "Fils",
    threadsDescription: [
    strong("Publications avec commentaires"),
    " des habitants que vous soutenez et de votre multivers, triées par les plus récentes. Sélectionnez l'horodatage d'une publication pour voir le reste du fil.",
    ],
    profile: "Avatar",
    inhabitants: "Habitants",
    manualMode: "Mode Manuel",
    mentions: "Mentions",
    mentionsDescription: [
    strong("Publications qui vous @mentionnent"),
    ", triées par les plus récentes.",
    ],
    private: "Boîte de réception",
    peers: "Nœuds",
    privateDescription: [
    "Le dernier commentaire de ",
    strong("fils privés qui vous incluent"),
    ", triés par les plus récents. Les publications privées sont chiffrées pour votre clé publique et ont un maximum de 7 destinataires. Les destinataires ne peuvent pas être ajoutés après le début du fil. Sélectionnez l'horodatage pour voir le fil complet.",
    ],
    search: "Rechercher",
    imageSearch: "Recherche d'images",
    searchPlaceholder: "Recherchez des habitants, des #hashtags et des mots clés ...",
    settings: "Paramètres",
    continueReading: "continuer la lecture",
    moreComments: "plus de commentaires",
    readThread: "lire le reste du fil",
    // modules
    modules: "Modules",
    modulesViewTitle: "Modules",
    modulesViewDescription: "Configurez votre environnement en activant ou désactivant des modules.",
    inbox: "Boîte de réception",
    multiverse: "Multivers",
    popularLabel: "⌘ En vedette",
    topicsLabel: "ϟ Sujets",
    latestLabel: "☄ Derniers",
    summariesLabel: "※ Résumés",
    threadsLabel: "♺ Fils",
    multiverseLabel: "∞ Multivers",
    inboxLabel: "☂ Boîte de réception",
    invitesLabel: "ꔹ Invitations",
    walletLabel: "❄ Portefeuille",
    legacyLabel: "ꖤ Clés",
    cipherLabel: "ꗄ Crypte",
    saveSettings: "Enregistrer les paramètres",
    // post actions
    comment: "Commenter",
    subtopic: "Sous-sujet",
    json: "JSON",
    // relationships
    unfollow: "Ne plus soutenir",
    follow: "Soutenir",
    block: "Bloquer",
    unblock: "Débloquer",
    newerPosts: "Publications plus récentes",
    olderPosts: "Publications plus anciennes",
    feedRangeEmpty: "La plage donnée est vide pour ce flux. Essayez de voir le ",
    seeFullFeed: "flux complet",
    feedEmpty: "Le client local d'Oasis n'a pas encore accédé aux publications.",
    beginningOfFeed: "Ceci est le début du flux",
    noNewerPosts: "Aucune publication plus récente reçue.",
    relationshipNotFollowing: "Ne vous soutient pas",
    relationshipTheyFollow: "Ils soutiennent",
    relationshipMutuals: "Soutien mutuel",
    relationshipFollowing: "Vous soutenez",
    relationshipYou: "Vous",
    relationshipBlocking: "Vous bloquez",
    relationshipNone: "Vous ne soutenez pas",
    relationshipConflict: "En conflit",
    relationshipBlockingPost: "Publication bloquée",
    // spreads view
    viewLikes: "Voir les soutiens",
    spreadedDescription: "Liste des publications soutenues par l'habitant.",
    likedBy: " -> Soutiens",
    // composer
    attachFiles: "Joindre des fichiers",
    mentionsMatching: "Mentions correspondantes",
    preview: "Aperçu",
    publish: "Publier",
    contentWarningPlaceholder: "Ajoutez un sujet à la publication (optionnel)",
    privateWarningPlaceholder: "Ajoutez des habitants pour envoyer une publication privée (ex: @bob @alice) (optionnel)",
    publishWarningPlaceholder: "...",
    publishCustomDescription: [
    "RAPPEL : En raison de la technologie blockchain, une fois publié, il ne peut être ni modifié ni supprimé.",
    ],
    commentWarning: [
    "RAPPEL : En raison de la technologie blockchain, une fois publié, il ne peut être ni modifié ni supprimé.",
    ],
    commentPublic: "public",
    commentPrivate: "privé",
    // settings
    updateit: "Obtenir les mises à jour",
    info: "Informations",
    settingsIntro: ({ version }) => [
      `Oasis: [${version}]`,
    ],
    timeAgo: "",
    sendTime: "environ ",
    theme: "Thème",
    legacy: "Clés",
    legacyTitle: "Clés",
    legacyDescription: "Gérez votre secret (clé privée) rapidement et en toute sécurité.",
    legacyExportButton: "Exporter",
    legacyImportButton: "Importer",
    exportTitle: "Exporter les données",
    exportDescription: "Définissez un mot de passe (minimum 32 caractères) pour chiffrer votre clé",
    importTitle: "Importer des données",
    importDescription: "Importez votre secret chiffré (clé privée) pour activer votre avatar",
    importAttach: "Joindre un fichier chiffré (.enc)",
    passwordLengthInfo: "Le mot de passe doit contenir au moins 32 caractères.",
    passwordImport: "Saisissez votre mot de passe pour déchiffrer les données qui seront enregistrées dans le répertoire de votre système (nom : secret)",
    exportPasswordPlaceholder: "Utilisez des minuscules, majuscules, chiffres et symboles",
    fileInfo: "Votre clé secrète chiffrée sera enregistrée dans le répertoire de votre système (nom : oasis.enc)",
    themeIntro: "Choisissez un thème.",
    setTheme: "Définir le thème",
    language: "Langue",
    languageDescription: "Si vous souhaitez utiliser une autre langue, sélectionnez-la ici.",
    setLanguage: "Définir la langue",
    status: "Statut",
    peerConnections: "Nœuds",
    peerConnectionsIntro: "Gérez toutes vos connexions avec d'autres nœuds.",
    online: "En ligne",
    supported: "Soutenu",
    recommended: "Recommandé",
    blocked: "Bloqué",
    noConnections: "Aucun habitant connecté.",
    noSupportedConnections: "Aucun habitant soutenu.",
    noBlockedConnections: "Aucun habitant bloqué.",
    noRecommendedConnections: "Aucun habitant recommandé.",
    startNetworking: "Commencer à se connecter",
    stopNetworking: "Arrêter de se connecter",
    restartNetworking: "Redémarrer la connexion",
    sync: "Synchroniser le réseau",
    indexes: "Index",
    indexesDescription: "Reconstruire vos index est sûr et peut résoudre certains types d'erreurs.",
    invites: "Invitations",
    invitesDescription: "Utilisez les codes d'invitation du PUB ici.",
    acceptInvite: "Accepter l'invitation",
    acceptedInvites: "Réseaux fédérés",
    noInvites: "Aucune invitation acceptée",
    // misc
    oasisDescription: "Réseau du Projet SNH",
    submit: "Envoyer",
    subjectLabel: "Sujet",
    editProfile: "Modifier l'avatar",
    editProfileDescription: "",
    profileName: "Nom de l'avatar (texte brut)",
    profileImage: "Image de l'avatar",
    profileDescription: "Description de l'avatar (Markdown)",
    hashtagDescription: "Publications des habitants de votre réseau mentionnant ce #hashtag, triées par les plus récentes.",
    rebuildName: "Reconstruire la base de données",
    wallet: "Portefeuille",
    walletAddress: "Adresse",
    walletAmount: "Montant",
    walletAddressLine: ({ address }) => `Adresse : ${address}`,
    walletAmountLine: ({ amount }) => `Montant : ${amount} ECO`,
    walletBack: "Retour",
    walletBalanceTitle: "Solde",
    walletReceiveTitle: "Recevoir",
    walletHistoryTitle: "Historique",
    walletWalletSendTitle: "Envoyer",
    walletBalanceLine: ({ balance }) => `${balance} ECO`,
    walletCnfrs: "Cnfrs",
    walletConfirm: "Confirmer",
    walletDescription: "Gérez vos actifs numériques, y compris l'envoi et la réception d'ECOin, consultez votre solde et votre historique de transactions.",
    walletDate: "Date",
    walletFee: "Frais (Plus les frais sont élevés, plus votre transaction sera traitée rapidement)",
    walletFeeLine: ({ fee }) => `Frais : ECO ${fee}`,
    walletHistory: "Historique",
    walletReceive: "Recevoir",
    walletReset: "Réinitialiser",
    walletSend: "Envoyer",
    walletStatus: "Statut",
    walletDisconnected: "Portefeuille ECOin déconnecté. Vérifiez la configuration de votre portefeuille ou l'état de la connexion.",
    walletSentToLine: ({ destination, amount }) => `Envoyé ECO ${amount} à ${destination}`,
    walletSettingsTitle: "Portefeuille",
    walletSettingsDescription: "Intégrez Oasis à votre portefeuille ECOin.",
    walletStatusMessages: {
        invalid_amount: "Montant invalide",
        invalid_dest: "Adresse de destination invalide",
        invalid_fee: "Frais invalides",
        validation_errors: "Erreurs de validation",
        send_tx_success: "Transaction réussie",
    },
    walletTitle: "Portefeuille",
    walletTotalCostLine: ({ totalCost }) => `Coût total : ECO ${totalCost}`,
    walletTransactionId: "ID de transaction",
    walletTxId: "ID Tx",
    walletType: "Type",
    walletUser: "Nom d'utilisateur",
    walletPass: "Mot de passe",
    walletConfiguration: "Configurer le portefeuille",
    //cipher
    cipher: "Chiffrement",
    randomPassword: "Mot de passe aléatoire",
    password: "Mot de passe",
    text: "Texte",
    encryptedText: "Texte chiffré",
    iv: "Vecteur d'initialisation (IV)",
    encryptTitle: "Chiffrez votre texte",
    encryptDescription: "Entrez le texte que vous souhaitez chiffrer et fournissez un mot de passe.",
    encryptButton: "Chiffrer",
    decryptTitle: "Déchiffrez votre texte",
    decryptDescription: "Entrez le texte chiffré et fournissez le même mot de passe utilisé pour le chiffrer.",
    decryptButton: "Déchiffrer",
    passwordLengthError: "Le mot de passe doit contenir au moins 32 caractères.",
    missingFieldsError: "Texte, mot de passe ou IV non fournis.",
    encryptionError: "Erreur lors du chiffrement du texte.",
    decryptionError: "Erreur lors du déchiffrement du texte.",
    //cipher
    cipherTitle: "Chiffrement",
    cipherDescription: "Chiffrez et déchiffrez du contenu de manière symétrique (en utilisant un mot de passe partagé).",
    randomPassword: "Mot de passe aléatoire",
    cipherEncryptTitle: "Chiffrer un texte",
    cipherEncryptDescription: "Définissez un mot de passe (minimum 32 caractères) pour chiffrer votre texte",
    cipherTextLabel: "Texte à chiffrer",
    cipherTextPlaceholder: "Entrez le texte à chiffrer...",
    cipherPasswordLabel: "Mot de passe",
    cipherPasswordPlaceholder: "Entrez un mot de passe...",
    cipherEncryptButton: "Chiffrer",
    cipherDecryptTitle: "Déchiffrer un texte",
    cipherDecryptDescription: "Entrez le texte chiffré, le mot de passe et l'IV pour le déchiffrer.",
    cipherEncryptedTextLabel: "Texte chiffré",
    cipherEncryptedTextPlaceholder: "Entrez le texte chiffré...",
    cipherIvLabel: "IV",
    cipherIvPlaceholder: "Entrez le vecteur d'initialisation...",
    cipherDecryptButton: "Déchiffrer"
    }
};
